Where is Suhosin Patch?

Discussion in 'PHP' started by redstrike, Jul 27, 2012.

  1. redstrike

    redstrike Member

    I upgraded to 4.1.13 and i don't see the Suhosin option in Compile PHP anymore.

    Is there any big changes?
  2. webizen

    webizen New Member

    this is because suhosin patch is not available for PHP 5.4.* which is supported since 4.1.12. Will re-enable suhosin option as PHP 5.3.* are still supported.
  3. redstrike

    redstrike Member

    how about PHP 5.2.17 ?
  4. webizen

    webizen New Member

    still supported.
  5. redstrike

    redstrike Member

    Here is what i see in my CP:

    [​IMG]
  6. webizen

    webizen New Member

    That's what I was talking about. Will re-enable it in the latest version as 5.3 and 5.2 are still supported
  7. csdco

    csdco New Member

    So what's the current state? How can we get suhosin back for older PHP versions?
  8. markspend01

    markspend01 New Member

    Hello Guys well i think that Suhosin is an open source patch for PHP. The objective regarding Suhosin is to be a protection net that defends web servers from vulnerable PHP programming methods.Thanks!!
  9. Ronnie

    Ronnie New Member

    suhosin with multi-version PHP

    Hello guys!
    I've setup my PHP 5.3.16 with suhosein in Litespeed and it is working properly.
    I've also wish to provide the possibility for users to switch between their PHP version with Addtype in their .htaccess file.
    So I've build two version of PHP, one is 5.3.16 and one is 5.2.17. But the problem is that my 5.2.17 version which has been compiled in litespeed webconsole is not working with suhosin.
    I didn't find any option to build the second version of PHP with suhosin.
    So please help me !

Share This Page